### Method

# Gdk Clipboard read_text_async

#### Declaration [src]

    void
    gdk_clipboard_read_text_async (
      GdkClipboard* clipboard,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the `clipboard` contents converted to a string.

When the operation is finished `callback` will be called. You must then call gdk_clipboard_read_text_finish() to get the result.

This is a simple wrapper around gdk_clipboard_read_value_async(). Use that function or gdk_clipboard_read_async() directly if you need more control over the operation.

#### Parameters

`cancellable` | `GCancellable*`
| Optional `GCancellable` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to call when the request is satisfied.
`user_data` | `gpointer`
| The data to pass to callback function.